SET FOREIGN_KEY_CHECKS = 0;

ALTER TABLE `tb_open_copyright_apply`
    DROP INDEX `serial_num`;

ALTER TABLE `tb_open_copyright_apply`
    ADD INDEX `serial_num` (`serial_num`) USING BTREE;

ALTER TABLE `tb_open_copyright_apply`
    ADD INDEX `app_key` (`app_key`, `biz_id`) USING BTREE;

CREATE TABLE `tb_copyright_log`
(
    `id`           int(10) UNSIGNED                                              NOT NULL AUTO_INCREMENT,
    `copyright_id` int(11)                                                       NOT NULL COMMENT '版权编号',
    `op_type_id`   int(11)                                                       NULL DEFAULT NULL COMMENT '操作类型编号',
    `op_type`      varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci  NULL DEFAULT NULL COMMENT '操作类型',
    `op_info`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '操作信息',
    `op_user_id`   int(11)                                                       NULL DEFAULT NULL COMMENT '操作人编号',
    `op_user_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci  NULL DEFAULT NULL COMMENT '操作人名称',
    `op_time`      datetime                                                      NULL DEFAULT NULL COMMENT '操作时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;